/** @component toggle-switch */
import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class ToggleSwitchComponent implements ControlValueAccessor {
    private cdr;
    /** @prop Optional CSS class name | '' */
    class: string;
    /** @prop Sets the attribute disabled to the ToggleSwitch | false */
    disabled: boolean;
    /** @prop Unique HTML ID used for tying label to HTML input for automated testing */
    htmlId: string;
    /** @prop ToggleSwitch label text | '' */
    label: string;
    /** @prop ToggleSwitch name for group | '' */
    name: string;
    /** @prop index of the ToggleSwitch in tab order */
    tabIndex: number;
    /** @prop String value that corresponds with ToggleSwitch button | '' */
    value: any;
    /** @prop Callback function invoked when user clicks the ToggleSwitch button | null */
    change: EventEmitter<any>;
    checked: boolean;
    onSwitchChange: Function;
    onSwitchTouch: Function;
    constructor(cdr: ChangeDetectorRef);
    writeValue(checked: any): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    setDisabledState(isDisabled: boolean): void;
    onSwitch(event: Event): void;
    updateSwitch(event: Event, bool: boolean): void;
}
